@{
    # Script module or binary module file associated with this manifest.
    # RootModule = ''

    # Version number of this module.
    ModuleVersion         = '3.1.1'

    # ID used to uniquely identify this module
    GUID                  = '15a87fbe-766b-4d2c-b856-645fd4a8d275'

    # Author of this module
    Author                = 'DSC Community'

    # Company or vendor of this module
    CompanyName           = 'DSC Community'

    # Copyright statement for this module
    Copyright             = 'Copyright the DSC Community contributors. All rights reserved.'

    # Description of the functionality provided by this module
    Description           = 'DSC resources for configuring WS-Man.'

    # Minimum version of the Windows PowerShell engine required by this module
    PowerShellVersion     = '4.0'

    # Name of the Windows PowerShell host required by this module
    # PowerShellHostName = ''

    # Minimum version of the Windows PowerShell host required by this module
    # PowerShellHostVersion = ''

    # Minimum version of Microsoft .NET Framework required by this module
    # DotNetFrameworkVersion = ''

    # Minimum version of the common language runtime (CLR) required by this module
    CLRVersion            = '4.0'

    # Processor architecture (None, X86, Amd64) required by this module
    ProcessorArchitecture = 'None'

    # Modules that must be imported into the global environment prior to importing this module
    # RequiredModules = @()

    # Assemblies that must be loaded prior to importing this module
    RequiredAssemblies    = @()

    # Script files (.ps1) that are run in the caller's environment prior to importing this module.
    ScriptsToProcess      = @()

    # Type files (.ps1xml) to be loaded when importing this module
    TypesToProcess        = @()

    # Format files (.ps1xml) to be loaded when importing this module
    FormatsToProcess      = @()

    # Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
    # NestedModules = @()

    # Functions to export from this module
    FunctionsToExport     = @()

    # Cmdlets to export from this module
    CmdletsToExport       = @()

    # Variables to export from this module
    VariablesToExport     = @()

    # Aliases to export from this module
    AliasesToExport       = @()

    # DSC resources to export from this module
    DscResourcesToExport  = @('WSManListener', 'WSManConfig', 'WSManServiceConfig')

    # List of all modules packaged with this module
    # ModuleList = @()

    # List of all files packaged with this module
    FileList              = @()

    # Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
    PrivateData           = @{

        PSData = @{
            # Set to a prerelease string value if the release should be a prerelease.
            Prerelease   = ''

            # Tags applied to this module. These help with module discovery in online galleries.
            Tags         = @('DesiredStateConfiguration', 'DSC', 'DSCResource', 'WSMan')

            # A URL to the license for this module.
            LicenseUri   = 'https://github.com/dsccommunity/WSManDsc/blob/master/LICENSE'

            # A URL to the main website for this project.
            ProjectUri   = 'https://github.com/dsccommunity/WSManDsc'

            # A URL to an icon representing this module.
            IconUri      = 'https://dsccommunity.org/images/DSC_Logo_300p.png'

            # ReleaseNotes of this module
            ReleaseNotes = '# Change log for WSManDsc

The format is based on and uses the types of changes according to [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Changed

- Changed CI pipeline HQRM Test image to use `windows-2019` Azure DevOps hosted
  image - fixes [issue #69](https://github.com/dsccommunity/WSManDsc/issues/69)
- Changed CI pipeline Unit Test image to use `vs2017-win2016` Azure
  DevOps hosted image - fixes [issue #69](https://github.com/dsccommunity/WSManDsc/issues/69)
- Added CI pipeline stages for running Integration and Unit tests on
  Windows Server 2016 and Windows Server 2019 respectively.

## [3.1.0] - 2020-01-15

### Added

- WSManDsc
  - Added automatic release with a new CI pipeline.

### Changed

- WSManDsc
  - Transferred ownership to DSCCommunity.org.
  - Added missing resource to README.MD.
  - BREAKING CHANGE: Changed resource prefix from DSR to DSC.
  - Renamed module `WSManDsc.ResourceHelper` to `WSManDsc.Common` and updated
    to use standard functions.
  - Pinned `ModuleBuilder` to v1.0.0.
  - Updated build badges in README.MD.
  - Remove unused localization strings.
  - Adopt DSC Community Code of Conduct.
  - Fix Code Coverage generation.
  - Updated the CI pipeline files to the latest template.
  - Changed unit tests to handle missing DscResource.Test better.
  - Changed `azure-pipeline.yml` to match current pattern ([Issue #59](https://github.com/dsccommunity/WSManDsc/issues/59)).
- Set `testRunTitle` for PublishTestResults steps so that a helpful name is
  displayed in Azure DevOps for each test run.
- Set a display name on all the jobs and tasks in the CI
  pipeline - fixes [issue #63](https://github.com/dsccommunity/WSManDsc/issues/63)

### Deprecated

- None

### Removed

- WSManDsc
  - Removed unused file `.codecov.yml`.
  - Removed the file `Deploy.PSDeploy.ps1` since it is not longer used by
    the build pipeline.

### Fixed

- WSManDsc
  - Added CODE_OF_CONDUCT.md file, and a ''Code of Conduct'' section in the
    README.md.
- WSManListener
  - Fix Find-Certificate Verbose Messages [Issue #49](https://github.com/dsccommunity/WSManDsc/issues/49).
- Fixed `GitVersion.yml` feature and fix Regex - fixes
  [issue #62](https://github.com/dsccommunity/WSManDsc/issues/62).
- Fix import statement in all tests, making sure it throws if module
  DscResource.Test cannot be imported - fixes
  [issue #67](https://github.com/dsccommunity/WSManDsc/issues/67).
- Fix deploy stage in CI pipeline to prevent it executing against forks
  of the repository - fixes [issue #66](https://github.com/dsccommunity/WSManDsc/issues/66).

### Security

- None
'
        } # End of PSData hashtable

    } # End of PrivateData hashtable

    # HelpInfo URI of this module
    # HelpInfoURI = ''

    # Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
    # DefaultCommandPrefix = ''
}





